Bug 12104 - ctdb-tests should be moved to the libexec directory
ctdb-tests should be moved to the libexec directory
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.5.0
All All
: P5 normal
: 4.5
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-03 11:25 UTC by Andreas Schneider
Modified: 2016-11-01 07:54 UTC (History)
5 users (show)

See Also:


Attachments
patch for 4.5 (5.99 KB, patch)
2016-08-05 07:07 UTC, Andreas Schneider
martins: review+
asn: review? (obnox)
Details
patch for 4.4 (5.47 KB, patch)
2016-08-05 07:08 UTC, Andreas Schneider
martins: review+
asn: review? (obnox)
Details
Additional patch for 4.5 (1.66 KB, patch)
2016-10-17 04:59 UTC, Martin Schwenke
amitay: review+
Details
Additional patch for 4.4 (1.66 KB, patch)
2016-10-17 04:59 UTC, Martin Schwenke
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2016-08-03 11:25:05 UTC
ctdb-tests should be moved to the libexec directory and not be installed in /usr/lib/ctdb-tests.

Patch will follow.
Comment 1 Martin Schwenke 2016-08-04 03:59:34 UTC
Should this be assigned to the CTDB product?
Comment 2 Amitay Isaacs 2016-08-04 06:01:08 UTC
(In reply to Martin Schwenke from comment #1)

Done.
Comment 3 Andreas Schneider 2016-08-05 07:07:53 UTC
Created attachment 12312 [details]
patch for 4.5
Comment 4 Andreas Schneider 2016-08-05 07:08:25 UTC
Created attachment 12313 [details]
patch for 4.4
Comment 5 Martin Schwenke 2016-08-05 10:36:38 UTC
I'm keen to test the 4.4 patch before review, just to make sure there's nothing unexpected missing.  I might get time on the weekend, but otherwise it will be Monday.  Monday will be a busy day...
Comment 6 Martin Schwenke 2016-08-06 04:24:38 UTC
Hi Karolin,

This is ready for 4.4 and 4.5.

Thanks...
Comment 7 Karolin Seeger 2016-08-08 07:02:15 UTC
(In reply to Martin Schwenke from comment #6)
Pushed to autobuild-v4-[4|5]-test.
Comment 8 Karolin Seeger 2016-08-11 08:28:47 UTC
(In reply to Karolin Seeger from comment #7)
Pushed to both branches.
Closing out bug report.

Thanks!
Comment 9 Karolin Seeger 2016-09-23 08:00:05 UTC
Thinking about this right now, this should have been gone in a major release only and not in a maintenance release.

Another question:
datadir points to
conf.env.CTDB_TEST_DATADIR = os.path.join(conf.env.EXEC_PREFIX,
                                              'share/ctdb-tests')
Wondering if it should not be share/ctdb/tests like in the libexecdir.
Comment 10 Martin Schwenke 2016-09-23 08:58:38 UTC
(In reply to Karolin Seeger from comment #9)

> Thinking about this right now, this should have been gone in a major
> release only and not in a maintenance release.

The affected paths are internal-only, so there's really no danger of
incompatibility.  I'm pretty sure Andreas wanted to see these changes
go in as soon as possible to improve packaging for distros,

> Another question:
> datadir points to
> conf.env.CTDB_TEST_DATADIR = os.path.join(conf.env.EXEC_PREFIX,
>                                               'share/ctdb-tests')
> Wondering if it should not be share/ctdb/tests like in the
> libexecdir.

Definitely!  It is something I have planned.  I think it involves
fairly trivial changes to the wscript file and RPM template.

I didn't do it at the time because there was no pressing need.

There are some things that are currently installed in /etc/ctdb/ that
should probably go in /usr/share/ctdb/, since they really aren't
configuration.  So /usr/share/ctdb/ will happen some time anyway.
However, some of it is tricky to get right for both in-tree testing
and installation.

Time, time, time...  :-)
Comment 11 Martin Schwenke 2016-10-13 04:28:50 UTC
I have a patch ready for /usr/local/share/ctdb/tests/.  It was easier than I thought.

I'm reassigning this to me and will add the extra patch.
Comment 12 Martin Schwenke 2016-10-17 04:59:31 UTC
Created attachment 12582 [details]
Additional patch for 4.5
Comment 13 Martin Schwenke 2016-10-17 04:59:51 UTC
Created attachment 12583 [details]
Additional patch for 4.4
Comment 14 Amitay Isaacs 2016-10-18 23:58:11 UTC
Hi Karolin,

This is ready again for v4-4 and v4-5.

Only the additional patch for each branch.
Comment 15 Karolin Seeger 2016-10-31 10:22:31 UTC
(In reply to Amitay Isaacs from comment #14)
Pushed to autobuild-v4-{5,4}-test.
Comment 16 Karolin Seeger 2016-11-01 07:54:24 UTC
(In reply to Karolin Seeger from comment #15)
Pushed to both branches.
Closing out bug report.

Thanks!